Security Enhanced Linux Reference Policy

# Layer: admin

## Module: dpkg

Interfaces

### Description:

Policy for the Debian package manager.

### Interfaces:

dpkg_domtrans( domain )

##### Summary

Execute dpkg programs in the dpkg domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

dpkg_domtrans_script( domain )

##### Summary

Execute dpkg_script programs in the dpkg_script domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dpkg_dontaudit_manage_db( domain )

##### Summary

Do not audit attempts to create, read, write, and delete the dpkg package database.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

dpkg_lock_db( domain )

##### Summary

Lock the dpkg package database.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

dpkg_manage_db( domain )

##### Summary

Create, read, write, and delete the dpkg package database.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

dpkg_read_db( domain )

##### Summary

Read the dpkg package database.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

dpkg_read_pipes( domain )

##### Summary

Read from an unnamed dpkg pipe.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

dpkg_run( domain , role )

##### Summary

Execute dpkg programs in the dpkg domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.
role | The role to allow the dpkg domain.

dpkg_rw_pipes( domain )

##### Summary

Read and write an unnamed dpkg pipe.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

dpkg_use_fds( domain )

##### Summary

Inherit and use file descriptors from dpkg.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

dpkg_use_script_fds( domain )

##### Summary

Inherit and use file descriptors from dpkg scripts.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

Return